import { DataLoaderPlugin } from 'unplugin-vue-router/data-loaders';
import { createLogGuard, createProgressGuard, createStackGuard } from 'utils4u/vue-router';
import { createRouter, createWebHistory } from 'vue-router';
import { handleHotUpdate, routes } from 'vue-router/auto-routes';

export const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes,
  strict: true,
});
router.onError((error) => {
  console.debug('🚨 [router error]: ', error);
});
if (import.meta.hot) handleHotUpdate(router);
if ($__DEV__) Object.assign(window, { router });

export function setupRouter(app: import('vue').App) {
  app
    // Register the plugin before the router
    .use(DataLoaderPlugin, { router })
    // adding the router will trigger the initial navigation
    .use(router);

  // 警告：路由守卫的创建顺序会影响执行流程，请勿调整
  createProgressGuard(router);
  createLogGuard(router);
  Object.assign(window, { stack: createStackGuard(router) });
}
